## openboard 1.7.3+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# ==========================================================================
# OpenBoard cmake build file
#
# Most important configuration variables:
#   CMAKE_INSTALL_PREFIX   
#       Path to install prefix, defaults to /usr/local (see cmake documentation)
#       Typically set to /usr or /opt
#   QT_VERSION
#       Qt Version to use
#       Set to empty, 5 or 6, defaults to auto-selection with preference to 5
#
# Typical invocation
#   cmake -S <srcdir> -B <builddir> -DCMAKE_INSTALL_PREFIX:PATH=/usr
#       or
#   cmake -S <srcdir> -B <builddir> -DCMAKE_INSTALL_PREFIX:PATH=/opt
#
# Build
#   cd <builddir>
#   cmake --build . [-j<n>]
#
# Package
#    cpack -G <DEB|RPM>
# ==========================================================================

# ==========================================================================
# Basic project information
# ==========================================================================

include(cmake/Version.cmake)

project(openboard
    VERSION ${VERSION_NUMBER}
    DESCRIPTION "OpenBoard is an open source cross-platform interactive white board application designed primarily for use in schools. It was originally forked from Open-Sankoré, which was itself based on Uniboard."
    HOMEPAGE_URL "https://www.openboard.org"
    LANGUAGES CXX
)

add_compile_definitions(UBVERSION="${VERSION}")


# ==========================================================================
# Configuration options
# ==========================================================================

set(QT_VERSION "" CACHE STRING "Qt major version number to use - empty, 5 or 6")

# Internal setting
set(QAPPLICATION_CLASS QApplication CACHE STRING "Inheritance class for SingleApplication - do not change")


# ==========================================================================
# Non-source file locations
# ==========================================================================

set(OPENBOARD_QRC_FILE      resources/OpenBoard.qrc)

set(OPENBOARD_FORMS_DIR     resources/forms src/web/simplebrowser)
set(OPENBOARD_TS_DIR        resources/i18n)
set(OPENBOARD_FONT_DIR      resources/customizations resources/fonts)
set(OPENBOARD_ETC_DIR       resources/etc)
set(OPENBOARD_LIBRARY_DIR   resources/library)
set(OPENBOARD_STARTUP_HINTS resources/startupHints)

set(OPENBOARD_ETC_FILE      ${OPENBOARD_ETC_DIR}/OpenBoard.config
                            ${OPENBOARD_ETC_DIR}/OpenBoard.css
                            ${OPENBOARD_ETC_DIR}/widgets.md5sum)
set(OPENBOARD_TEMPLATE_FILE ${OPENBOARD_ETC_DIR}/asyncAPI.js
                            ${OPENBOARD_ETC_DIR}/intranet-podcast-metadata.template
                            ${OPENBOARD_ETC_DIR}/npapi-wrapper.config.xml)

set(OPENBOARD_ICON_FILE     resources/images/ch.openboard.OpenBoard.svg)
set(OPENBOARD_DESKTOP_FILE  resources/linux/ch.openboard.OpenBoard.desktop)
set(OPENBOARD_MIMETYPE_FILE resources/linux/ch.openboard.openboard-ubz.xml)
set(OPENBOARD_MIMEICON_FILE resources/linux/ch.openboard.application-ubz.svg)


# ==========================================================================
# Basic compiler settings
# ==========================================================================

set(CMAKE_CXX_STANDARD 17 CACHE STRING "C++ standard to use - defaults to C++17")
set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

list(APPEND CMAKE_AUTOUIC_SEARCH_PATHS 
    ${OPENBOARD_FORMS_DIR}
)

message(STATUS "Using C++" ${CMAKE_CXX_STANDARD})

# OpenMP support
include(FindOpenMP)

if(OPENMP_FOUND)
    string(APPEND CMAKE_CXX_FLAGS " " ${OpenMP_CXX_FLAGS})
endif()


# ==========================================================================
# Target and dependencies
#
# Note: the executable is using lowercase on all platforms
# ==========================================================================

add_executable(${PROJECT_NAME})

# manage dependencies
include(cmake/DependencyQt.cmake)
include(cmake/DependencyOpenSSL.cmake)
include(cmake/DependencyPoppler.cmake)
include(cmake/DependencyZlib.cmake)
include(cmake/DependencyQuaZip.cmake)
include(cmake/DependencyFFmpeg.cmake)
include(cmake/DependencyX11.cmake)

# add source path to include directories
target_include_directories(${PROJECT_NAME} PRIVATE
    src
)

# add sources from subdirectories
add_subdirectory(src/adaptors)
add_subdirectory(src/api)
add_subdirectory(src/board)
add_subdirectory(src/core)
add_subdirectory(src/desktop)
add_subdirectory(src/document)
add_subdirectory(src/domain)
add_subdirectory(src/frameworks)
add_subdirectory(src/globals)
add_subdirectory(src/gui)
add_subdirectory(src/network)
add_subdirectory(src/pdf)
add_subdirectory(src/pdf-merger)
add_subdirectory(src/podcast)
add_subdirectory(src/singleapplication)
add_subdirectory(src/tools)
add_subdirectory(src/web)
add_subdirectory(plugins/cffadaptor/src)
add_subdirectory(resources/forms)

# statically link singleapplication
target_link_libraries(${PROJECT_NAME}
    SingleApplication::SingleApplication
)


# ==========================================================================
# Resources
# ==========================================================================

if(Qt5_VERSION AND Qt5_VERSION VERSION_LESS "5.15")
    qt5_add_resources(OPENBOARD_RESOURCES ${OPENBOARD_QRC_FILE})
else()
    qt_add_resources(OPENBOARD_RESOURCES ${OPENBOARD_QRC_FILE})
endif()

target_sources(${PROJECT_NAME} PRIVATE ${OPENBOARD_RESOURCES})


# ==========================================================================
# Translations
# ==========================================================================

file(GLOB OPENBOARD_TS_FILES ${OPENBOARD_TS_DIR}/*.ts)
set_source_files_properties(${OPENBOARD_TS_FILES} PROPERTIES OUTPUT_LOCATION ${PROJECT_BINARY_DIR}/i18n)

if(Qt5_VERSION AND Qt5_VERSION VERSION_LESS "5.15")
    qt5_add_translation(QM_FILES ${OPENBOARD_TS_FILES})
else()
    qt_add_translation(QM_FILES ${OPENBOARD_TS_FILES})
endif()

target_sources(${PROJECT_NAME} PRIVATE ${QM_FILES} ${OPENBOARD_TS_FILES})


# ==========================================================================
# Installation
# ==========================================================================

include(GNUInstallDirs)

# set relative install paths
if(CMAKE_INSTALL_PREFIX STREQUAL "/opt")
    set(OPENBOARD_INSTALL_SYSCONFDIR ${CMAKE_INSTALL_PREFIX}/${PROJECT_NAME}/etc)
    set(OPENBOARD_INSTALL_DATADIR ${PROJECT_NAME})
    set(CMAKE_INSTALL_BINDIR "/usr/bin")
    set(CMAKE_INSTALL_DATAROOTDIR "/usr/share")
else()
    set(SYSCONF_INSTALL_DIR ${CMAKE_INSTALL_FULL_SYSCONFDIR} CACHE PATH
        "Install directory for system-wide configuration files")
    set(OPENBOARD_INSTALL_SYSCONFDIR ${SYSCONF_INSTALL_DIR}/${PROJECT_NAME})
    set(OPENBOARD_INSTALL_DATADIR ${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME})
endif()

# set absolute install paths
set(OPENBOARD_ETC_PREFIX "${OPENBOARD_INSTALL_SYSCONFDIR}")
set(OPENBOARD_APP_PREFIX "${CMAKE_INSTALL_PREFIX}/${OPENBOARD_INSTALL_DATADIR}")
set(OPENBOARD_TPL_PREFIX "${OPENBOARD_APP_PREFIX}/template")

message(STATUS "OpenBoard ETC_PREFIX is " ${OPENBOARD_ETC_PREFIX})
message(STATUS "OpenBoard APP_PREFIX is " ${OPENBOARD_APP_PREFIX})
message(STATUS "OpenBoard TPL_PREFIX is " ${OPENBOARD_TPL_PREFIX})

target_compile_definitions(${PROJECT_NAME} PRIVATE
    OPENBOARD_FHS_LAYOUT
    OPENBOARD_ETC_PREFIX=${OPENBOARD_ETC_PREFIX}
    OPENBOARD_APP_PREFIX=${OPENBOARD_APP_PREFIX}
    OPENBOARD_TPL_PREFIX=${OPENBOARD_TPL_PREFIX}
)

# install files
install(TARGETS   ${PROJECT_NAME}               RUNTIME)
install(DIRECTORY ${OPENBOARD_FONT_DIR}         DESTINATION ${OPENBOARD_INSTALL_DATADIR})
install(DIRECTORY ${OPENBOARD_LIBRARY_DIR}      DESTINATION ${OPENBOARD_INSTALL_DATADIR})
install(DIRECTORY ${OPENBOARD_STARTUP_HINTS}    DESTINATION ${OPENBOARD_INSTALL_DATADIR})
install(DIRECTORY ${PROJECT_BINARY_DIR}/i18n    DESTINATION ${OPENBOARD_INSTALL_DATADIR})
install(FILES     ${OPENBOARD_ETC_FILE}         DESTINATION ${OPENBOARD_INSTALL_SYSCONFDIR})
install(FILES     ${OPENBOARD_TEMPLATE_FILE}    DESTINATION ${OPENBOARD_INSTALL_DATADIR}/template)
install(FILES     ${OPENBOARD_ICON_FILE}        DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/apps)
install(FILES     ${OPENBOARD_DESKTOP_FILE}     DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
install(FILES     ${OPENBOARD_MIMETYPE_FILE}    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/mime/packages)
install(FILES     ${OPENBOARD_MIMEICON_FILE}    DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/scalable/mimetypes)


# ==========================================================================
# Packaging
# ==========================================================================

include(InstallRequiredSystemLibraries)
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
set(CPACK_PACKAGE_VERSION "${VERSION}")
set(CPACK_PACKAGE_CONTACT "The OpenBoard team")
set(CPACK_STRIP_FILES TRUE)

# Debian specific settings
set(CPACK_DEBIAN_FILE_NAME "DEB-DEFAULT")
set(CPACK_DEBIAN_PACKAGE_SUGGESTS onboard)

# RPM specific settings
set(CPACK_RPM_FILE_NAME "RPM-DEFAULT")
set(CPACK_RPM_PACKAGE_SUGGESTS onboard)

# create packager
include(CPack)

=== resources/forms/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    blackoutWidget.ui
    brushProperties.ui
    capturePublishing.ui
    CMakeLists.txt
    documents.ui
    intranetPodcastPublishingDialog.ui
    mainWindow.ui
    preferences.ui
    trapFlash.ui
    youTubePublishingDialog.ui
)

=== src/adaptors/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    UBCFFSubsetAdaptor.cpp
    UBCFFSubsetAdaptor.h
    UBExportAdaptor.cpp
    UBExportAdaptor.h
    UBExportCFF.cpp
    UBExportCFF.h
    UBExportDocument.cpp
    UBExportDocument.h
    UBExportDocumentSetAdaptor.cpp
    UBExportDocumentSetAdaptor.h
    UBExportFullPDF.cpp
    UBExportFullPDF.h
    UBExportPDF.cpp
    UBExportPDF.h
    UBExportWeb.cpp
    UBExportWeb.h
    UBImportAdaptor.cpp
    UBImportAdaptor.h
    UBImportCFF.cpp
    UBImportCFF.h
    UBImportDocument.cpp
    UBImportDocument.h
    UBImportDocumentSetAdaptor.cpp
    UBImportDocumentSetAdaptor.h
    UBImportImage.cpp
    UBImportImage.h
    UBImportPDF.cpp
    UBImportPDF.h
    UBMetadataDcSubsetAdaptor.cpp
    UBMetadataDcSubsetAdaptor.h
    UBSvgSubsetAdaptor.cpp
    UBSvgSubsetAdaptor.h
    UBThumbnailAdaptor.cpp
    UBThumbnailAdaptor.h
    UBWidgetUpgradeAdaptor.cpp
    UBWidgetUpgradeAdaptor.h
)

=== src/api/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    UBW3CWidgetAPI.cpp
    UBW3CWidgetAPI.h
    UBWidgetMessageAPI.cpp
    UBWidgetMessageAPI.h
    UBWidgetUniboardAPI.cpp
    UBWidgetUniboardAPI.h
)

=== src/board/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    UBBoardController.cpp
    UBBoardController.h
    UBBoardPaletteManager.cpp
    UBBoardPaletteManager.h
    UBBoardView.cpp
    UBBoardView.h
    UBDrawingController.cpp
    UBDrawingController.h
    UBFeaturesController.cpp
    UBFeaturesController.h
)

=== src/core/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    main.cpp
    UB.h
    UBApplication.cpp
    UBApplication.h
    UBApplicationController.cpp
    UBApplicationController.h
    UBDisplayManager.cpp
    UBDisplayManager.h
    UBDocumentManager.cpp
    UBDocumentManager.h
    UBDownloadManager.cpp
    UBDownloadManager.h
    UBDownloadThread.cpp
    UBDownloadThread.h
    UBForeignObjectsHandler.cpp
    UBForeignObjectsHandler.h
    UBIdleTimer.cpp
    UBIdleTimer.h
    UBMimeData.cpp
    UBMimeData.h
    UBPersistenceManager.cpp
    UBPersistenceManager.h
    UBPersistenceWorker.cpp
    UBPersistenceWorker.h
    UBPreferencesController.cpp
    UBPreferencesController.h
    UBSceneCache.cpp
    UBSceneCache.h
    UBSetting.cpp
    UBSetting.h
    UBSettings.cpp
    UBSettings.h
    UBShortcutManager.cpp
    UBShortcutManager.h
    UBTextTools.cpp
    UBTextTools.h
)

=== src/desktop/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    UBCustomCaptureWindow.cpp
    UBCustomCaptureWindow.h
    UBDesktopAnnotationController.cpp
    UBDesktopAnnotationController.h
    UBDesktopPalette.cpp
    UBDesktopPalette.h
    UBDesktopPropertyPalette.cpp
    UBDesktopPropertyPalette.h
)

=== src/document/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    UBDocumentContainer.cpp
    UBDocumentContainer.h
    UBDocumentController.cpp
    UBDocumentController.h
    UBDocumentProxy.cpp
    UBDocumentProxy.h
    UBSortFilterProxyModel.cpp
    UBSortFilterProxyModel.h
)

=== src/domain/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    UBGraphicsDelegateFrame.cpp
    UBGraphicsDelegateFrame.h
    UBGraphicsGroupContainerItem.cpp
    UBGraphicsGroupContainerItem.h
    UBGraphicsGroupContainerItemDelegate.cpp
    UBGraphicsGroupContainerItemDelegate.h
    UBGraphicsItemDelegate.cpp
    UBGraphicsItemDelegate.h
    UBGraphicsItemGroupUndoCommand.cpp
    UBGraphicsItemGroupUndoCommand.h
    UBGraphicsItemTransformUndoCommand.cpp
    UBGraphicsItemTransformUndoCommand.h
    UBGraphicsItemUndoCommand.cpp
    UBGraphicsItemUndoCommand.h
    UBGraphicsItemZLevelUndoCommand.cpp
    UBGraphicsItemZLevelUndoCommand.h
    UBGraphicsMediaItem.cpp
    UBGraphicsMediaItem.h
    UBGraphicsMediaItemDelegate.cpp
    UBGraphicsMediaItemDelegate.h
    UBGraphicsPDFItem.cpp
    UBGraphicsPDFItem.h
    UBGraphicsPixmapItem.cpp
    UBGraphicsPixmapItem.h
    UBGraphicsPolygonItem.cpp
    UBGraphicsPolygonItem.h
    UBGraphicsScene.cpp
    UBGraphicsScene.h
    UBGraphicsStroke.cpp
    UBGraphicsStroke.h
    UBGraphicsStrokesGroup.cpp
    UBGraphicsStrokesGroup.h
    UBGraphicsSvgItem.cpp
    UBGraphicsSvgItem.h
    UBGraphicsTextItem.cpp
    UBGraphicsTextItem.h
    UBGraphicsTextItemDelegate.cpp
    UBGraphicsTextItemDelegate.h
    UBGraphicsTextItemUndoCommand.cpp
    UBGraphicsTextItemUndoCommand.h
    UBGraphicsWidgetItem.cpp
    UBGraphicsWidgetItem.h
    UBGraphicsWidgetItemDelegate.cpp
    UBGraphicsWidgetItemDelegate.h
    UBItem.cpp
    UBItem.h
    UBPageSizeUndoCommand.cpp
    UBPageSizeUndoCommand.h
    UBResizableGraphicsItem.cpp
    UBResizableGraphicsItem.h
    UBSelectionFrame.cpp
    UBSelectionFrame.h
    UBUndoCommand.cpp
    UBUndoCommand.h
    UBWebEngineView.cpp
    UBWebEngineView.h
)

=== src/frameworks/CMakeLists.txt ===
target_sources(openboard PRIVATE
    UBBase32.cpp
    UBBase32.h
    UBCoreGraphicsScene.cpp
    UBCoreGraphicsScene.h
    UBCryptoUtils.cpp
    UBCryptoUtils.h
    UBFileSystemUtils.cpp
    UBFileSystemUtils.h
    UBGeometryUtils.cpp
    UBGeometryUtils.h
    UBPlatformUtils.cpp
    UBPlatformUtils.h
    UBStringUtils.cpp
    UBStringUtils.h
    UBVersion.cpp
    UBVersion.h
)

if(CMAKE_SYSTEM_NAME STREQUAL Linux)
    target_sources(openboard PRIVATE
        UBPlatformUtils_linux.cpp
    )
endif()

=== src/globals/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    UBGlobals.h
)

=== src/gui/CMakeLists.txt ===
target_sources(${PROJECT_NAME} PRIVATE
    UBActionPalette.cpp
    UBActionPalette.h
    UBBackgroundPalette.cpp
    UBBackgroundPalette.h
    UBBlackoutWidget.cpp
    UBBlackoutWidget.h
    UBBoardThumbnailsView.cpp
    UBBoardThumbnailsView.h
    UBCachePropertiesWidget.cpp
    UBCachePropertiesWidget.h
    UBCircleFrame.cpp
    UBCircleFrame.h
    UBColorPicker.cpp
    UBColorPicker.h
    UBDockDownloadWidget.cpp
    UBDockDownloadWidget.h
    UBDockPalette.cpp
    UBDockPalette.h
    UBDockPaletteWidget.cpp
    UBDockPaletteWidget.h
    UBDocumentThumbnailWidget.cpp
    UBDocumentThumbnailWidget.h
    UBDocumentToolsPalette.cpp
    UBDocumentToolsPalette.h
    UBDownloadWidget.cpp
    UBDownloadWidget.h
    UBFavoriteToolPalette.cpp
    UBFavoriteToolPalette.h
    UBFeaturesActionBar.cpp
    UBFeaturesActionBar.h
    UBFeaturesWidget.cpp
    UBFeaturesWidget.h
    UBFloatingPalette.cpp
    UBFloatingPalette.h
    UBIconButton.cpp
    UBIconButton.h
    UBKeyboardPalette.cpp
    UBKeyboardPalette.h
    UBLeftPalette.cpp
    UBLeftPalette.h
    UBMagnifer.cpp
    UBMagnifer.h
    UBMainWindow.cpp
    UBMainWindow.h
    UBMessageWindow.cpp
    UBMessageWindow.h
    UBMessagesDialog.cpp
    UBMessagesDialog.h
    UBMousePressFilter.cpp
    UBMousePressFilter.h
    UBPageNavigationWidget.cpp
    UBPageNavigationWidget.h
    UBPropertyPalette.cpp
    UBPropertyPalette.h
    UBResources.cpp
    UBResources.h
    UBRightPalette.cpp
    UBRightPalette.h
    UBRubberBand.cpp
    UBRubberBand.h
    UBScreenMirror.cpp
    UBScreenMirror.h
    UBSnapIndicator.cpp
    UBSnapIndicator.h
    UBSpinningWheel.cpp
    UBSpinningWheel.h
    UBStartupHintsPalette.cpp
    UBStartupHintsPalette.h
    UBStylusPalette.cpp
    UBStylusPalette.h
    UBThumbnailView.cpp
    UBThumbnailView.h
    UBDocumentThumbnailsView.cpp
    UBDocumentThumbnailsView.h
    UBToolWidget.cpp
    UBToolWidget.h
    UBToolbarButtonGroup.cpp
    UBToolbarButtonGroup.h
    UBUpdateDlg.cpp
    UBUpdateDlg.h
    UBWebToolsPalette.cpp
    UBWebToolsPalette.h
    UBWidgetMirror.cpp
    UBWidgetMirror.h
    UBZoomPalette.cpp
    UBZoomPalette.h
)

if(CMAKE_SYSTEM_NAME STREQUAL Linux)
    target_sources(openboard PRIVATE
        UBKeyboardPalette_linux.cpp
    )
endif()

=== debian/changelog ===
openboard (1.7.3+dfsg-0.1build3) resolute; urgency=medium

  * No-change rebuild for poppler 26.01

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 19 Feb 2026 12:50:45 +0000

openboard (1.7.3+dfsg-0.1build2) resolute; urgency=medium

  * No-change rebuild for ffmpeg 8.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Dec 2025 11:06:45 +0000

=== debian/control ===
Source: openboard
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.16.1.1),
               grunt,
               imagemagick,
               libasound2-dev,
               libass-dev,
               libavformat-dev,
               libavcodec-dev,
               libbz2-dev,
               libfreetype-dev,
               liblzma-dev,
               libmp3lame-dev,
               libopus-dev,
               libogg-dev,
               libpoppler-cpp-dev,
               libpoppler-private-dev,
               libpoppler-dev,
               libquazip5-dev,
               libqt5svg5-dev,
               qtwebengine5-dev,
               libqt5xmlpatterns5-dev,
               libssl-dev,
               libswscale-dev,
               libtheora-dev,
               libva-dev,
               libvorbis-dev,
               libvpx-dev,
               libx264-dev,
               libxcb-shape0-dev,
               libxcb-render0-dev,
               libxcb-shm0-dev,
               libxcb-xfixes0-dev,
               lsb-release,
               node-grunt-contrib-uglify,
               node-grunt-contrib-concat,
               cmake,
               qtbase5-dev,
               qtmultimedia5-dev,
               qtscript5-dev,
               qttools5-dev-tools,
               qttools5-private-dev,
               zlib1g-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/openboard.git
Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/openboard
Homepage: https://github.com/OpenBoard-org/OpenBoard

Package: openboard
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         openboard-common (>= ${source:Version}),
Breaks: openboard-common (<< 1.5.3-1~),
Replaces: openboard-common (<< 1.5.3-1~),
Suggests: openboard-fonts-nonfree,
Description: Interactive White Board Application
 OpenBoard is an open source cross-platform interactive white board
 application designed primarily for use in schools.
 .
 It was originally forked from Open-Sankoré, which was itself based on
 Uniboard.

Package: openboard-common
Architecture: all
Depends: ${misc:Depends},
 libjs-jquery,
 libjs-jquery-i18n-properties,
 libjs-jquery-ui,
 libjs-modernizr,
 libjs-mustache,
 fonts-ecolier-court,
 fonts-ecolier-lignes-court,
 fonts-sil-andika,
Recommends:
 fonts-linex,
Multi-Arch: foreign
Description: Interactive White Board Application (common files)
 OpenBoard is an open source cross-platform interactive white board
 application designed primarily for use in schools.
 .
 It was originally forked from Open-Sankoré, which was itself based on
 Uniboard.
 .
 This package contains all architecture independent files.
